<?php
/**
* 
* Includes
*
* Files to Include
* 
*/
/*----------------------------------------------------------*/
include($wp_plugin_dir.'/admin/admin-page.php'); //include class.register-settings.php file
/**
* 
* Include CSS
*
* Include CSS for the Admin Options Page
* 
* @global $wp_plugin_dir  plugin directory absolute path
* @global $wp_plugin_url  plugin url
*
* @param $osah_cssFile  admin-style.css absolute path variable
* @var string
*
* @method wp_register_script( $handle, $src, $deps, $ver, $in_footer )
* @method wp_enqueue_script( $handle, $src, $deps, $ver ,$in_footer  )
*
*/
/*----------------------------------------------------------*/
if (!class_exists('osah_load_admin_cssClass')) { //checks is osah_load_admin_cssClass class exists	
	class osah_load_admin_cssClass { // begin osah_load_admin_cssClass class
		function __construct() { // the constructor	
		}
		function osah_load_admin_css() { // begin osah_load_admin_css function	
			global $wp_plugin_dir ;
			global $wp_plugin_url;
			$osah_cssFile = $wp_plugin_dir . '/css/admin-style.css';
			if ( file_exists($osah_cssFile) ) { // checks if admin-style.css file exists
				wp_register_script('osah_admincss',$wp_plugin_url . '/css/admin-style.css');
				wp_enqueue_script( 'osah_admincss');
			}		
		} // begin osah_load_admin_css function
	} // end osah_load_admincssClass class
}
/**
* 
* Include CSS
*
* Include CSS for the Admin Options Page
* 
* @param $osah_load_admin_cssClass  osah_load_admin_cssClass class instance
* @param $osah_adminPageClass  osah_adminPageClass class instance
*
* @param $osah_options_css  menu item variable
* @var string
*
* @method add_options_page( $page_title, $menu_title, $capability, $menu_slug, $function )
* @method add_action( $tag, $function_to_add, $priority, $accepted_args )
*
*/
/*----------------------------------------------------------*/
/* Settings Link w/ CSS
----------------------------------------------------------*/
if (!class_exists('osah_optionsLinkClass')) { //checks is osah_optionsLinkClass class exists
	class osah_optionsLinkClass { // begin osah_optionsLinkClass class
		function __construct() { // the constructor	
		}
		function osah_optionsLink() { // begin osah_load_admin_css function
			$osah_load_admin_cssClass = new osah_load_admin_cssClass();
			$osah_adminPageClass = new osah_adminPageClass();
			$osah_options_css = add_options_page('Old Skool', 'Old Skool Admin', 'manage_options', 'pluginPrefix-options', array($osah_adminPageClass,'osah_adminPage'));
			add_action( 'admin_print_styles-' . $osah_options_css, array($osah_load_admin_cssClass,'osah_load_admin_css' ));
		} // end osah_load_admin_css function
	} // end osah_optionsLinkClass class
}
?>